Skip to main content

createOrUpdateAzureDevopsIntegration

Create or update Azure DevOps integration (OAuth Entra ID).

createOrUpdateAzureDevopsIntegration(
input: CreateAzureDevopsIntegrationInput!
): CreateOrUpdateAzureDevopsIntegrationPayload

Arguments​

createOrUpdateAzureDevopsIntegration.input ● CreateAzureDevopsIntegrationInput! non-null input​

Parameters for CreateOrUpdateAzureDevopsIntegration

Type​

CreateOrUpdateAzureDevopsIntegrationPayload object​

Autogenerated return type of CreateOrUpdateAzureDevopsIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateAzureDevopsIntegration($input: CreateAzureDevopsIntegrationInput!) {\n createOrUpdateAzureDevopsIntegration(input: $input) { clientMutationId integration { id astBranchPattern astOrchestratorConfigured } }\n}","variables":{"input":{"companyId":"<company_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute